AttributedCharacterIterator.Attribute
Date: 2016-06-24

java.text

## Class AttributedCharacterIterator.Attribute

- java.lang.Object
- - java.text.AttributedCharacterIterator.Attribute

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Format.Field
  Enclosing interface:
    AttributedCharacterIterator

      public static class AttributedCharacterIterator.Attribute
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AttributedCharacterIterator.Attribute` | `INPUT_METHOD_SEGMENT`
    `static AttributedCharacterIterator.Attribute` | `LANGUAGE`
    `static AttributedCharacterIterator.Attribute` | `READING`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AttributedCharacterIterator.Attribute(String var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object var0)`
    `protected String` | `getName()`
    `int` | `hashCode()`
    `protected Object` | `readResolve()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT_METHOD_SEGMENT

          public static final AttributedCharacterIterator.Attribute INPUT_METHOD_SEGMENT

    - #### LANGUAGE

          public static final AttributedCharacterIterator.Attribute LANGUAGE

    - #### READING

          public static final AttributedCharacterIterator.Attribute READING

  - ### Constructor Detail

    - #### AttributedCharacterIterator.Attribute

          protected AttributedCharacterIterator.Attribute(String var0)

  - ### Method Detail

    - #### equals

          public final boolean equals(Object var0)

      Overrides:
        `equals` in class `Object`

    - #### getName

          protected String getName()

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### readResolve

          protected Object readResolve()
                                throws InvalidObjectException

      Throws:
        `InvalidObjectException`